import { y as defineEventHandler, b0 as useLogger, aG as readValidatedBody, I as Instance, v as createError } from '../../../nitro/nitro.mjs';
import z from 'zod';
import { r as requireAdminSession } from '../../../_/session.mjs';
import 'luxon';
import '@sequelize/core';
import 'html-to-text';
import 'crypto';
import 'node:fs';
import 'sharp';
import 'path';
import 'node:stream';
import 'jsdom';
import 'dompurify';
import 'mime-types';
import 'fs';
import 'fs/promises';
import 'linkify-html';
import '@peertube/http-signature';
import 'jsonld';
import 'lodash.intersection';
import 'email-templates';
import 'node:http';
import 'node:https';
import 'node:crypto';
import 'node:events';
import 'node:buffer';
import 'node:path';
import 'vue';
import 'vue-router';
import 'dotenv';
import 'url';
import 'bcryptjs';
import 'slugify';
import 'umzug';
import 'consola';
import '@sequelize/core/decorators-legacy';
import 'util';
import 'mitt';
import 'ical.js';
import 'node:url';
import 'fast-xml-parser';
import '../../../_/getUser.mjs';
import '../../../_/jwt.mjs';
import 'jose';

const schema = z.object({
  domain: z.string(),
  blocked: z.coerce.boolean()
});
const block_put = defineEventHandler(async (event) => {
  await requireAdminSession(event);
  const log = useLogger("instance");
  const { domain, blocked } = await readValidatedBody(event, schema.parse);
  const instance = await Instance.findByPk(domain);
  if (!instance) {
    log.warn('Instance not found "%s"', domain);
    throw createError({ status: 404, message: "Instance not found" });
  }
  instance.update({ blocked });
});

export { block_put as default };
